import { request } from '@/utils/request.js';

export const getBannerList = (data) => {
  return request({
    url: '/website/basic/bannerList',
    method: 'GET',
    data,
    showLoading: false,
    showErrorToast: false,
  });
};

export const getTravelProjectList = (data) => {
  const query = `?${Object.keys(data)
    .map((key) => `${encodeURIComponent(key)}=${encodeURIComponent(data[key])}`)
    .join('&')}`;
  return request({
    url: `/website/tourism/project/list${query}`,
    method: 'GET',
  });
};

export const getDirectoryList = (data) => {
  const query = `?${Object.keys(data)
    .map((key) => `${encodeURIComponent(key)}=${encodeURIComponent(data[key])}`)
    .join('&')}`;
  return request({
    url: `/website/basic/directoryList${query}`,
    method: 'GET',
  });
};

export const getProjects = (data) => {
  const query = `?${Object.keys(data)
    .map((key) => `${encodeURIComponent(key)}=${encodeURIComponent(data[key])}`)
    .join('&')}`;
  return request({
    url: `/website/basic/jobProject/list${query}`,
    method: 'GET',
  });
};
